Check Image Asset Eligibility
curl --request POST \
--url https://public.plai.io/gads/check_image_asset_eligibility \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://public.plai.io/gads/check_image_asset_eligibility"
payload = { "userId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://public.plai.io/gads/check_image_asset_eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"isEligibleForSearchAdImageAsset": true,
"error": "<string>"
}
}Utilities
Check Image Asset Eligibility
This endpoint checks whether a Google Ads account is eligible to use image assets in search ads. Use this to verify account capabilities before proceeding with campaign setup.
POST
/
gads
/
check_image_asset_eligibility
Check Image Asset Eligibility
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Results Object
Show Results Object